<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Strange Adventures (2020-)</Series>
  <Number>6</Number>
  <Web>https://www.comixology.com/Strange-Adventures-2020-6/digital-comic/894468</Web>
  <Summary>How determined is Mr. Terrific to find the truth? The answer becomes more challenging as the whole world starts to turn against him. Adam Strange is a hero who can save the Earth from alien invasion, and who is Mr. Terrific to say otherwise? The extent of the denial only makes the man more suspicious.  
Not that the warmongering Pykkts care one way or the other. If Strange is to be believed, they only have one thing on their minds: taking over the planet. Adam and his wife beat them back once before, and the key to doing it again is to dig into the past that Mr. Terrific is so hell-bent on destroying.   
Read the series IGN calls one of the most anticipated comics of the year!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB894468], [RELDATE:2020-10-13]</Notes>
  <Publisher>DC</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>31</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
